
#version 150

out vec3 c;
uniform vec2 screenSize;
in vec4 pos;

void main(void)
{
	c = max(vec3(0.f),pow(vec3(1,0.9,-0.3)*pos.yyy,vec3(1.2f)))*0.05f
	+	max(vec3(0.f),pow(vec3(-0.5,0,0)*pos.yyy,vec3(1.5f)))*0.05f
	+	vec3(7,2,0)*max(vec3(0.f),(35.f-abs(pos.yyy)))
	+	vec3(1,0,1)*max(vec3(0.f),(55.f-abs(pos.yyy)));
}
